image: $CI_MOLECULE_IMAGE_URL

services:
  - docker:latest

variables:
  ANSIBLE_FORCE_COLOR: "true"

before_script:
  - pip3 install pytest-testinfra
  - ansible --version
  - molecule --version

molecule:
  stage: test
  script:
    - |
      SCENARIOS=$(ls molecule)
      for SCENARIO in $SCENARIOS
      do
        echo "# MOLECULE SCENARIO EXECUTION : $ROLE-$SCENARIO #"
        molecule test -s $SCENARIO
      done
  only:
    refs:
      - merge_requests
